String clazzTpl({package}) => """
import 'package:flutter/material.dart';

enum ThemeType {
  dark,
  light,
}

class ThemeState {
  ThemeType type;

  ThemeState({this.type = ThemeType.dark});

  static ThemeType? _themeType(String type) {
    switch (type) {
      case 'dark':
        return ThemeType.dark;
      case 'light':
        return ThemeType.light;
    }
    return null;
  }

  static ThemeState fromJson(dynamic json) {
    return ThemeState(
      type: _themeType(json["type"]) ?? ThemeType.dark,
    );
  }

  dynamic toJson() => {
        'type': type.toString().split('.')[1],
      };

  Color get title =>
      {ThemeType.dark: Colors.white, ThemeType.light: Color(0xff3c3f41)}[type]!;

  Color get body =>
      {ThemeType.dark: Color(0xff3c3f41), ThemeType.light: Colors.white}[type]!;
}
""";
